%------------------------------------------------------
%   AssignCountryData_S_Module
%------------------------------------------------------
%   This module assigns the country profiles 
%   For the given country index (currently processed country), 
%       the appropriate profiles are assigned;
%   In default cases, only some profiles are assigned (others are kept as
%   default)


if (profile(1:4) == 'self')                     %   all profiles assigned
    [ll, expec, ll_f, popul, c_prof, yl_prof, tgi_prof, tgo_prof, ASFR_5, Bm2Bf]= ...
    grabData(ind_count, small_l, lifeExpectancy, small_l_f, population, consumption,...
    laborIncome, transferInflows, transferOutflows, fertility, BirthRatio);
elseif (profile == 'default_fer')               %   fertility profiles not assigned
    [a, b, c, popul, c_prof, yl_prof, tgi_prof, tgo_prof, ASFR_5, Bm2Bf]= ...
    grabData(ind_count, small_l, lifeExpectancy, small_l_f, population, consumption,...
    laborIncome, transferInflows, transferOutflows, fertility, BirthRatio);
elseif (profile == 'default_NTA')               %   economic profiles not assigned
    [ll, expec, ll_f, popul, a, b, c, d, ASFR_5, Bm2Bf]= ...
    grabData(ind_count, small_l, lifeExpectancy, small_l_f, population, consumption,...
    laborIncome, transferInflows, transferOutflows, fertility, BirthRatio);
end

