%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Set constants and calculate parameters      
%----------------------------------------
%   In this module you can set the constants used in the simulation model

min_asfr5 = 15;                         % lowest age of the first 5-year age-group with non-zero ASFR
max_asfr5 = 45;                         % lowest age of the last 5-year age-group with non-zero ASFR
age_asfr_max = max_asfr5+4;             % highest age with non-zero ASFR
ind_asfr = min_asfr5+1:age_asfr_max+1;  % age-index range for the non-zero ASFR (+1 to allow for age 0)

capShare = 1/3;                         % value of the capital share alpha

rates = -0.03:0.01:0.03;                

ageUp = 65;                             % senior age
AGE_MAX = 110;                          % highest age for which survivals are calculated
ages = 0.5:1:AGE_MAX+0.5;              % age values at mid-year point

delta = 0.05;                           
lambda = 0.02;                          
KoverY=3;                               

opt_step = 0.0001;                      % step used in finding the optimal rate
rho_limit = 0.08;                       % defines limits of growth range over which we optimize support ratios

%   defines values of growths in the optimization range 
%   (symmetrical, but could be changed)
rho_run = -rho_limit:opt_step:rho_limit; 

ages_fla = ages;                        % age values for the formula calculation