function resulting_vector = SS_SR(pop, num_prof, den_prof, growth)

% This function calculates the values of steady-state support ratio
%   num_prof is the profile in the numerator
%   den_prof is the profile of the denominator 
%           of the support ratio
%   Depending on the profiles provided as input, this fnction can calculate
%   support ratio or fiscal support ratio

ages = (0:numel(pop)-1);
growth_mat = (1/(1+growth)).^ages;  % growth_mat = exp(-growth*ages);
resulting_vector = sum(pop.*num_prof.*growth_mat)/sum(pop.*den_prof.*growth_mat);